Reverse Pairs | Hard Interview Question

  Рет қаралды 158,606

take U forward

take U forward

Күн бұрын

Пікірлер: 211
@abhishekverma7604
@abhishekverma7604 Жыл бұрын
i have been asked this question in my intuit online assesement for an intern role... and i know how inversion count principal works..so i did it comfortably.. but that too only bcoz of old video of striver.... thanks bhya ..love u
@sanjayav6461
@sanjayav6461 Жыл бұрын
Did you clear the interview?
@shubhamagarwal1434
@shubhamagarwal1434 3 ай бұрын
#Free Education For All.. # Bhishma Pitamah of DSA...You could have earned in lacs by putting it as paid couses on udamey or any other elaerning portals, but you decided to make it free...it requires a greate sacrifice and a feeling of giving back to community, there might be very few peope in world who does this...."विद्या का दान ही सर्वोत्तम दान होता है" Hats Off to you man, Salute from 10+ yrs exp guy from BLR, India.
@junaid61747
@junaid61747 5 ай бұрын
The amount of clarity you have over concepts is truly remarkable! Hope to be as good as you one day.
@nirupamsuraj1634
@nirupamsuraj1634 Жыл бұрын
Those people wondering why cant we just multiply a 2 in the count inversion logic. Because if we compare with twice the values, the array doesnot end up being sorted in each iteration, which will contradict our assumption. Try yourselves with different testcase, you will get it.
@HarshKumar-ip5nr
@HarshKumar-ip5nr Жыл бұрын
Where I am missing, can you pin point with example class Solution { private: int count=0; void merge( vector &nums, int start, int mid, int end){ vector temp; int i=start; int j=mid+1; while( i
@nirupamsuraj1634
@nirupamsuraj1634 Жыл бұрын
@@HarshKumar-ip5nr bro try not doing temp.pushback inside nums[i] >2*nums[j]. It is not the logic for sorting. nums[i] >2*nums[j] should be handled inside another while loop seperately, and just increase your count there and nothing else. Keep the while loops for sorting as it is in merge sort.
@nirupamsuraj1634
@nirupamsuraj1634 Жыл бұрын
​@@HarshKumar-ip5nr Try referring this python code def merge(nums,l,m,r,count): arr1 = nums[l:m+1] arr2 = nums[m+1:r+1] n1 = len(arr1) n2 = len(arr2) i,j,k = 0,0,l ptr1,ptr2 = 0,0 while ptr1
@puneetnj
@puneetnj Жыл бұрын
Thanks Nirupam!!
@manvendrasingh4369
@manvendrasingh4369 5 ай бұрын
But I have not changed the original logic of merge sort but I write this new logic separately inside that else in if-else. So can any one tell me why it is still wrong because now it is not disturbing sorting. okay I got it
@ravishkumar6060
@ravishkumar6060 Жыл бұрын
The energy with you explain the problem and it's solution is really amazing Sir!!! Your teaching methodology is so simple and convincing that even if you make 1-2hr video for a problem, I can watch it with 100% attention...
@AdityaSharma-er3gs
@AdityaSharma-er3gs 4 ай бұрын
25:09 Here you can also use private static int countPairs(int[] nums, int s, int m, int e){ int i = s; int j = m+1; int count = 0; while(i
@12anikeshguhaxa5
@12anikeshguhaxa5 3 күн бұрын
i was also using this logic but no this doesnt work ...maybe i am doing something wrong
@sohilpathan9006
@sohilpathan9006 Жыл бұрын
In Leetcode it will give buffer overflow because int can't store 2x value of INT_MAX So u can use nums[i] > (long long)2*nums[right] OR 0.5*nums[i] > nums[right] any one of them in while loop condition in countPairs.
@shashanktripathi6277
@shashanktripathi6277 Жыл бұрын
use typecasting
@wttc4
@wttc4 11 ай бұрын
or you can do like this also: nums[i] > 2LL * nums[right]. (we're comparing int to long long) To be more safe, do this: 1LL * nums[i] > 2LL * nums[right]
@shivanshpatel1898
@shivanshpatel1898 9 ай бұрын
@@wttc4 this worked and code is submitted but can you please explain how it works
@wttc4
@wttc4 9 ай бұрын
@@shivanshpatel1898 simply 2 means 2 is int, whereas 2LL means 2 is of type long long. 1LL * nums[i] means we are multiplying long long and int, so 1LL * nums[i] is of type long long. Similarly, in some cases, you can also do 0LL + some_int to make the type of result to long long.
@lakshsinghania
@lakshsinghania 6 ай бұрын
@@wttc4 so basically the whole multiplication is taking place in long long i assume right ?
@namanchandak1532
@namanchandak1532 Жыл бұрын
here is more optimized code you also should apply binary search in the counting pair function instead of increasing right because right portion of the array is sorted int countP(vector& nums, int l, int m, int h) { long long int right=m+1,cnt=0; for(int i=l;i
@sunny_23561
@sunny_23561 5 ай бұрын
yup... ease this using upper bound
@yashwanthyerra2820
@yashwanthyerra2820 14 күн бұрын
But it is taking more time to execute than this class Solution { private int countAndMerge(int[] nums, int left, int mid, int right) { int count = 0; int j = mid + 1; for (int i = left; i
@mehulthuletiya497
@mehulthuletiya497 Жыл бұрын
00:40 Problem Statement 00:59 Explanation 02:58 Brute-force approach 03:03 Intuition 03:28 Pseudocode 04:21 Complexity 04:55 Optimal solution 05:22 Intuition 14:20 Approach + Dry-run 22:06 Pseudocode 25:16 Code 29:16 Complexity
@SHASHANKRUSTAGII
@SHASHANKRUSTAGII Жыл бұрын
i did this question during my placement prep and yes i saw with my naked eyes how we can make use of merge sort and in general count inversion in nlogn time :) Good work striver!
@cinime
@cinime Жыл бұрын
Understood! Another super amazing explanation as always, thank you so so SO much for your effort!!
@mdzaidhassan426
@mdzaidhassan426 3 ай бұрын
Your effort in making us understand the whole approach is commendable! Thanks a lot :)
@neerajkumar-ts6om
@neerajkumar-ts6om 3 ай бұрын
Thanks bhai maja aya question solve krke, pata nhi kaise batau kitna maza aarha hai code karke abb.
@shyampawar8893
@shyampawar8893 3 ай бұрын
Perfectly Explained and Best series
@aafilburner
@aafilburner Жыл бұрын
a[i] > 2* a[right] condition may cause overflow... rewrite as 0.5 * a[i] > a[right]
@saisri5953
@saisri5953 Жыл бұрын
thanks
@harshjha1616
@harshjha1616 Жыл бұрын
it worked thanks
@SairamSudiReddy
@SairamSudiReddy Жыл бұрын
or cast 2*a[right] to long
@YN__YN
@YN__YN Жыл бұрын
thanks a lot
@wttc4
@wttc4 11 ай бұрын
or you can do like this also: nums[i] > 2LL * nums[right]. (we're comparing int to long long) To be more safe, do this: 1LL * nums[i] > 2LL * nums[right]
@juhichoudhary9281
@juhichoudhary9281 11 ай бұрын
Understood, You are The Best Striver
@ksankethkumar7223
@ksankethkumar7223 Жыл бұрын
Toughest problem understood as a piece of cake..
@jeeveshkumar9682
@jeeveshkumar9682 5 ай бұрын
i thought of sorting the whole array and then using two pointers to compare the values and increase the count accordingly. But the problem with this solution is that the constraint of keeping i
@shikher4559
@shikher4559 3 ай бұрын
are you talking about thIs solution ? public int merge(int[] arr, int low, int mid, int high){ int left = low; int right = mid+1; int pairs = 0; ArrayList temp = new ArrayList(); while(left
@btechstudent1620
@btechstudent1620 3 ай бұрын
@@shikher4559 yes is this working ?
@shikher4559
@shikher4559 3 ай бұрын
@@btechstudent1620 its working with a bit modification 1) run a loop for calculating pairs separately 2) do the same as this code
@078_garlapatilikhitreddy8
@078_garlapatilikhitreddy8 3 ай бұрын
​@@shikher4559counting the pairs seperately is fine i thought while merging we can modify the count as with counting inversion. After doing a dry run i understood that I have count the pairs seperately and then do the merging
@dayashankarlakhotia4943
@dayashankarlakhotia4943 Жыл бұрын
Understood your previous explanation and current explanation both are good
@cricketobserver178
@cricketobserver178 Жыл бұрын
Medium questions are a combination of two easy questions And hard questions are combination of two medium problems That's my observation till now
@055_meetmakwana9
@055_meetmakwana9 7 ай бұрын
Understood, You are The Best Man!
@ShahNawaz-cx3pi
@ShahNawaz-cx3pi 4 ай бұрын
Count Pair function can also be implemented as:- int CountPairs(vector&arr,int low,int mid, int high){ int i = low; int j = mid+1; int cnt = 0; while(i
@abhinavraj6507
@abhinavraj6507 3 ай бұрын
Did your code get accepted ?
@shaikhmoin849
@shaikhmoin849 2 ай бұрын
@@abhinavraj6507 yes this will work.
@242deepak
@242deepak Жыл бұрын
Easier way: class Solution { public: int merge(int l,int mid,int r,vector &nums) { vector temp; int i=l,j=mid+1,count=0; while(i
@abhijeettripathi7615
@abhijeettripathi7615 Жыл бұрын
actually that should be the way it will have analogy between count inverison and this
@Manishgupta200
@Manishgupta200 Жыл бұрын
According to me, it's a medium level question... because I understood clear concept of mergeSort by your tutorial. Thankyou Striver
@vikashH-h1v
@vikashH-h1v Ай бұрын
int countPairs(vector &arr, int low, int mid, int high) { int right = mid + 1; int cnt = 0; for (int i = low; i
@narasimhann2814
@narasimhann2814 Жыл бұрын
Can someone tell why the below fails. It clears 33 TC but not all. Its a modification to no of inversion pair where for each element in right I find the left array range to satisfy the condition int merge(vector&arr, int start,int mid,int end){ int n1 = mid-start+1; int n2 = end-mid; int i,j,x; long long count=0; vector a1(n1); vector a2(n2); for(x=0,i=start; i
@kaichang8186
@kaichang8186 2 ай бұрын
understood, thanks for the great explanation
@RohitKumar-dy2gc
@RohitKumar-dy2gc 5 ай бұрын
thankyou for such a wonderful explanation striver✨✨
@iamxpossible
@iamxpossible 2 ай бұрын
use long long to avoid integer overflow!
@kavyahegade6477
@kavyahegade6477 5 ай бұрын
whle comparing, if one element from 2nd array does not form a pair with an element in 1st array, you said you will miss out the next element. but in reality we do not. because we increment the 1st array i des and check again, if it works then all other works, so count inversion algorithm works
@mohdnabeel702
@mohdnabeel702 4 ай бұрын
In count inversion we are trying to find the smaller number suppose we are at 6 and 3, we see 3 is smaller, we add 3 to our answer list, and increment the right pointer to compare next pointer with 6, missing out on comparing 3 with the next elements in left array. (this is how I understood).
@vikasbagri1225
@vikasbagri1225 Жыл бұрын
Understood it very well Thanks for this amazing video
@paneercheeseparatha
@paneercheeseparatha 3 ай бұрын
Amazing guy!
@AdityaSingh-uy8ms
@AdityaSingh-uy8ms 2 ай бұрын
UNDERSTOOD !!
@gyanendrasaurav877
@gyanendrasaurav877 Жыл бұрын
(mid+1)-i will also work just fine but keep that inside the while loop
@nikhilchobhiyal
@nikhilchobhiyal 3 ай бұрын
Maamaamiyaa!!!
@studynewthings1727
@studynewthings1727 Жыл бұрын
Awesome explanation.
@inspiringzone12
@inspiringzone12 Жыл бұрын
Great explanation
@akilesh6379
@akilesh6379 2 ай бұрын
understood sir
@praveensoni1119
@praveensoni1119 9 ай бұрын
Can't thank you enough Man!!
@torishi82
@torishi82 4 ай бұрын
Amazing. Thank you.
@akshaygill4692
@akshaygill4692 Жыл бұрын
can someone explain why the if condition i put in else block would not work here while(left
@shivasai7707
@shivasai7707 Жыл бұрын
yes i have the same doubt it should work i felt i was the only one
@kishore4262
@kishore4262 Жыл бұрын
Can someone explain this.Thanks in advance:)
@mohdnabeel702
@mohdnabeel702 Жыл бұрын
Same thing we just have to modify the if condition rather than doing arr[i]>arr[j] Iam using arr[i] > 2*arr[j]; Both are getting accepted.
@mohdnabeel702
@mohdnabeel702 Жыл бұрын
@@shivasai7707 It works import java.util.ArrayList; class Solution { public int reversePairs(int[] nums) { return mergeSort(nums,0,nums.length-1); } public static int mergeSort(int[] arr,int lo, int hi){ if(lo >= hi) return 0; int mid = (lo + hi)/ 2; int counter=mergeSort(arr,lo,mid); counter+=mergeSort(arr,mid+1,hi); counter+=countPairs(arr,lo,mid,hi); merge(arr,lo,mid,hi); return counter; } public static void merge(int []arr,int lo,int mid,int hi){ List tempList = new ArrayList(); int i = lo; int j = mid+1; while(i
@kishore4262
@kishore4262 Жыл бұрын
Hey @@mohdnabeel702 ; can you explain me whats wrong with this: class Solution { public: void merge(vector &nums,int low,int mid,int high,int &c){ int i = low; int j = mid+1; vector temp; while(i
@shashvatsinghal2574
@shashvatsinghal2574 4 ай бұрын
I did this using a multiset, got a time complexity of O(3nlogn) but still i got tle "class Solution { public: int reversePairs(vector& nums) { multiset ms; for(auto i:nums) ms.insert(i); long long final=0; for(int i=nums.size()-1;i>=0;i--){ auto it=ms.find(nums[i]); ms.erase(it); auto lb = ms.lower_bound((2 * (long long)nums[i])+1); final += distance(lb, ms.end()); } return final; } };"
@DeadPoolx1712
@DeadPoolx1712 3 ай бұрын
UNDERSTOOD;
@harshilpatel3205
@harshilpatel3205 3 ай бұрын
Understood 🙏🏻
@googleit2490
@googleit2490 Жыл бұрын
Understood :) Aug'9, 2023 09:11 pm
@YourCodeVerse
@YourCodeVerse 11 ай бұрын
Understood✅🔥🔥
@venup2813
@venup2813 9 ай бұрын
understood striver💥
@umangsharma7364
@umangsharma7364 3 ай бұрын
Wondering if we can solve this through TreeSet
@aniketkhorwal7289
@aniketkhorwal7289 8 ай бұрын
thanks striver💙
@shubha_jagadeesh
@shubha_jagadeesh Ай бұрын
understood 💗
@AjaySaini-hc9ho
@AjaySaini-hc9ho 9 ай бұрын
Thanks brother!❤
@akashsingh9301
@akashsingh9301 10 ай бұрын
THANKU BHAI
@hemantpatel1413
@hemantpatel1413 5 ай бұрын
Understood.
@AppaniMadhavi
@AppaniMadhavi 9 ай бұрын
Superb
@mohan-xx8ih
@mohan-xx8ih Жыл бұрын
Leetcode solution class Solution { void merge(vector &nums, int low, int mid, int high){ int *temp = new int[high - low + 1]; int i = low; int j = mid + 1; int k = 0; while((i
@anshbathla3850
@anshbathla3850 3 ай бұрын
Am I the only one who understood everthing as crystal clear till dry run but during code the mind stopped working
@anithusiast.
@anithusiast. 2 ай бұрын
happened initiallty will take time ..learn basics of coding first
@harshitpatil6138
@harshitpatil6138 9 ай бұрын
Ubderstood ❤
@aayush5474
@aayush5474 Ай бұрын
am i tripping or he keeps saying merge short?
@sarangkumarsingh7901
@sarangkumarsingh7901 8 ай бұрын
Understood.............
@suheabkhan2546
@suheabkhan2546 Жыл бұрын
Great explanation.. understood.... Why is the notes for the previous videos , are linked to old articles.. will the new articles replace them or new articles will not be written for them?
@takeUforward
@takeUforward Жыл бұрын
The articles are new, if you go though them, they are updated... We did not create a new article, instead updated the older ones.
@AmanSingh-yc4cw
@AmanSingh-yc4cw 8 ай бұрын
Understood 👍
@HoneySingh-yp7zc
@HoneySingh-yp7zc 6 ай бұрын
superb
@ashnakohli6763
@ashnakohli6763 4 ай бұрын
class Solution { public int reversePairs(int[] nums) { return countInversionsRec(nums); } int countInversionsRec(int[] arr){ int l=arr.length; if(l
@anshulrai6058
@anshulrai6058 Ай бұрын
understood👍
@Appcgubn
@Appcgubn 6 ай бұрын
why cant we use treemap and traverse through the array and store the occurences of the number and checking them upto the condition verifies in the tree map
@dewanandkumar8589
@dewanandkumar8589 11 ай бұрын
Understood
@AmanKumarSinhaOfficial
@AmanKumarSinhaOfficial Жыл бұрын
Please make an {Android App Development} course
@takeUforward
@takeUforward Жыл бұрын
I am a full stack dev, I have no experience in it 😅
@tapansonak1431
@tapansonak1431 Жыл бұрын
@@takeUforward Please make a full stack web dev course
@lakshsinghania
@lakshsinghania 6 ай бұрын
@@tapansonak1431 There are diff courses on yt watch out that for instance hitesh choudhary, and some foreign yt channels/ udemy courses which are good
@avijeetswain7101
@avijeetswain7101 Жыл бұрын
25:00 can somebody help me please? Here we are using a zero index array so when we are doing (right -(mid+1)) can't we write it as (right-(mid+2)) we also did in count inversion (mid -(left+1)). Or (right-(mid+1)) means how far right is from its initial position mid+1 ??
@S.s-tz9fo
@S.s-tz9fo Жыл бұрын
the right pointer stops at one place greater , we are adding total number of elements before the right pointer(excluding right)
@avijeetswain7101
@avijeetswain7101 Жыл бұрын
Thanx brother
@shivasai7707
@shivasai7707 Жыл бұрын
im totally confused if 6 is greater than twice of 2 then 13 21 25 will be greater than twice of 2 as they are greater count of inversions method should work striver please help thanks:)
@nirupamsuraj1634
@nirupamsuraj1634 Жыл бұрын
Because if we compare with twice the values, the array doesnot end up being sorted in each iteration, which will contradict our assumption.
@abhijeettripathi7615
@abhijeettripathi7615 Жыл бұрын
your code will work correct thought process
@nirupamsuraj1634
@nirupamsuraj1634 Жыл бұрын
@@abhijeettripathi7615 the code will work as long as you seperate the counting logic from sorting logic. In sorting logic dont compare with twice the values.
@bhagyashri863
@bhagyashri863 Жыл бұрын
understoood🤩
@reassume4826
@reassume4826 Жыл бұрын
I dont get why do we need to put this function before merge method? When I am putting in merge method, it gives wrong answer. Can anyone point out why? I put this logic before actual merge operation inside merge function, still giving wrong answer.
@PriyaSharma-v8u
@PriyaSharma-v8u Жыл бұрын
Understood!
@jeetoppers3150
@jeetoppers3150 6 ай бұрын
understood 😍😍😍😍😍
@sarvansingh6736
@sarvansingh6736 Жыл бұрын
Got it
@AbjSir
@AbjSir Жыл бұрын
understood
@culeforever5408
@culeforever5408 Жыл бұрын
understood :)
@gauravkabdwal309
@gauravkabdwal309 Жыл бұрын
Understood
@akshatverma8086
@akshatverma8086 Жыл бұрын
Hey @striver , recently I started doing ur a2z DSA sheet. After learning array from ur playlist I am doing string but the problem I am able to solve the questions even medium level. What approach should I apply. I give 20 mins to understanding n more and then code. It gives results 60%but not 💯. How should I start?
@vishwasgupta6149
@vishwasgupta6149 Жыл бұрын
start by learning english
@____priyanka_b_
@____priyanka_b_ Жыл бұрын
Can you please explain same codes in java
@priyotoshsahaThePowerOf23
@priyotoshsahaThePowerOf23 7 ай бұрын
In leet code its taking 232 MB ..means temp arr taking extra spaces right striver??
@anuragroy9045
@anuragroy9045 Жыл бұрын
#Understood
@saillaanil6948
@saillaanil6948 Жыл бұрын
can anyone please help me, why this code is not working int merge(vector &arr, int low, int mid, int high) { vector temp; // temporary array int left = low; // starting index of left half of arr int right = mid + 1; // starting index of right half of arr int count=0; //storing elements in the temporary array in a sorted manner// while (left
@abhijeettripathi7615
@abhijeettripathi7615 Жыл бұрын
see do the sorting and counting separately
@saillaanil6948
@saillaanil6948 Жыл бұрын
@@abhijeettripathi7615 why can't we do it together
@edu_77218
@edu_77218 Жыл бұрын
​@@saillaanil6948This is because even if arr[left] > 2*arr[right] is not satisfied, right will be incremented as arr[left] > arr[right]. To calculate cnt, right has to be incremented only when arr[left] > 2*arr[right] is true. So, this requires an extra while loop.
@vikasgupta1828
@vikasgupta1828 Жыл бұрын
Thanks
@GeneralistDev
@GeneralistDev Жыл бұрын
Why below code doesn't work ? class Solution { int cnt = 0; void merge(vector &nums, int s, int mid, int e) { vector temp; int i = s, j = mid + 1; while (i
@aayushichouhan775
@aayushichouhan775 Жыл бұрын
understood
@akshayvakharia7552
@akshayvakharia7552 7 ай бұрын
Hi @takeUForward UNDERSTOOD. But can we align with the previous solution by tricking a bit like else { //For this question condition change int tempPointer = leftPointer; while (tempPointer (2 * input[rightPointer]))) { tempPointer++; } if (input[tempPointer] > (2 * input[rightPointer])) { count += (mid - tempPointer + 1); } // Existing Merge code list.add(input[rightPointer]); rightPointer++; }
@pc8803
@pc8803 Жыл бұрын
Hi Striver, I am Btech CSE 4th sem student. I have been following your KZbin channel for a 2-3 weeks now. I had a doubt about your SDE Sheet and A-Z DSA sheet .That which one should I complete first I already know basics of Cpp, Java and DSA ( I had started doing 375Qs sde sheet of apna college ) I was able to solve questions of problem but my solutions were not optimal approach . Please help.
@113_manshi4
@113_manshi4 Жыл бұрын
Follow his A2Z sheet.
@kamleshverma9724
@kamleshverma9724 Жыл бұрын
will this code work for already sorted array?? because for sorted array, every left element will be smaller than element in right/right array???
@OrderEmperor
@OrderEmperor Жыл бұрын
😂😂there will be no pair in that case so obviously count will be 0
@vibhutijoshi07
@vibhutijoshi07 22 күн бұрын
cant we do this using map?
@kurma.4932
@kurma.4932 9 күн бұрын
how?
@abhimanyuthapliyal5823
@abhimanyuthapliyal5823 2 ай бұрын
US
@luckshaeey
@luckshaeey Жыл бұрын
understood :)
@GeetainSaar
@GeetainSaar 4 ай бұрын
😊😊
@m.rnaganathan7492
@m.rnaganathan7492 Жыл бұрын
how to show all the pairs can you help me out or anyone pls
@alphaCont
@alphaCont 11 ай бұрын
ok
@karthikarthik1795
@karthikarthik1795 Жыл бұрын
Sir it is also showing time limit exeeded error
@satvrii
@satvrii Жыл бұрын
❤❤❤
@apoorva5961
@apoorva5961 Ай бұрын
😇
@ananthalakshmi
@ananthalakshmi 8 ай бұрын
int cnt = 0; class Solution { public: void merge(vector & nums, int left, int mid, int right){ int i = left; int j = mid + 1; int k = 0; int ans_arr[right - left + 1]; while(i
@banothutharun2743
@banothutharun2743 8 ай бұрын
wow
@prajwalshaw9217
@prajwalshaw9217 Жыл бұрын
void merge(vector&arr,int low,int mid,int high) { vectortemp; int left=low,right=mid+1; while(left
@prajwalshaw9217
@prajwalshaw9217 Жыл бұрын
Can anybody say what is wrong with my code...?...it's giving wrong answer.
Maximum Product Subarray - Best Intuitive Approach Discussed
20:27
take U forward
Рет қаралды 236 М.
Count Inversions in an Array | Brute and Optimal
24:17
take U forward
Рет қаралды 242 М.
А я думаю что за звук такой знакомый? 😂😂😂
00:15
Денис Кукояка
Рет қаралды 4,7 МЛН
2 Years Of Learning C | Prime Reacts
22:24
ThePrimeTime
Рет қаралды 312 М.
Premature Optimization
12:39
CodeAesthetic
Рет қаралды 836 М.
ML Was Hard Until I Learned These 5 Secrets!
13:11
Boris Meinardus
Рет қаралды 341 М.
Making an Algorithm Faster
30:08
NeetCodeIO
Рет қаралды 151 М.
Programming Is Cooked
9:30
ThePrimeTime
Рет қаралды 279 М.
Mastering Dynamic Programming - How to solve any interview problem (Part 1)
19:41
Kadane's Algorithm | Maximum Subarray Sum | Finding and Printing
20:09
take U forward
Рет қаралды 491 М.
Why is Python 150X slower than C?
10:45
Mehul - Codedamn
Рет қаралды 21 М.
31 nooby C++ habits you need to ditch
16:18
mCoding
Рет қаралды 827 М.